package com.yuchen.saas.park.service.fault.service;

import org.nest.springwrap.core.tool.api.R;

/**
 * @Author: 肖润飞
 * @CreateTime: 2022/10/21 10:37
 * @Description: 设备故障统计接口
 * @Version: 1.0
 */
public interface EquipmentBreakdownCountService {
    /**
     * 设备总数统计
     * @param parkId
     * @return
     */
    R total(Long parkId);

    /**
     * 趋势以排名统计
     *
     * @param parkId   园区id
     * @param dateType 时间类型 1: 近七天 ; 2: 近30天 ; 3:近一年
     * @return
     */
    R trentAndRank(Long parkId, String dateType);

    /**
     * 设备画像占比
     * @param parkId
     * @return
     */
    R pictureRate(Long parkId);

    /**
     * 频繁误报统计
     * @param parkId
     * @return
     */
    R pictureCode(Long parkId,String pictureCode);
}
